import java.util.Hashtable;
import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.MessageProducer;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.jms.Queue;
import javax.naming.InitialContext;

public class Enqueue
{


  public static void main(String[] args)
    throws Exception
  {
    new Enqueue().run(args);
  }


  private Hashtable getEnv(String host)
  {
    Hashtable env = new Hashtable();
    env.put("java.naming.factory.initial",
            "org.jnp.interfaces.NamingContextFactory");
    env.put("java.naming.provider.url", "jnp://" + host + ":1099");
    return env;
  }


  public void run(String[] args)
    throws Exception
  {
    InitialContext ctx = new InitialContext(getEnv(args[0]));
    ConnectionFactory cf = (ConnectionFactory) ctx.lookup("/ConnectionFactory");
    Queue q = (Queue) ctx.lookup("queue/ExampleQueue");
    Connection conn = null;
    Session s = null;
    try {
      conn = cf.createConnection();
      s = conn.createSession(true, Session.SESSION_TRANSACTED);
      MessageProducer prod = s.createProducer(q);

      TextMessage redMessage = s.createTextMessage();
      redMessage.setText("Red Message");
      TextMessage greenMessage = s.createTextMessage();
      greenMessage.setText("Green Message");

      prod.send(redMessage);
      prod.send(greenMessage);

      s.commit();
    } finally {
      if (s != null) {   
        s.close();
      }
      if (conn != null) {   
        conn.close();
      }
    }
  }
}
